.header {
    &__top {
        padding: 10px 0;

        .input-group {
            margin-top: 3px;

            .form-control {
                border-radius: 3px;
                border-top-right-radius: 0;
                border-bottom-right-radius: 0; 
                font-size: 13px;
                line-height: 18px;
                padding: 10px 20px 12px;
                height: 40px;
                color: $body-color;
                border-color: #D8D8D8;
                font-weight: 600;

                &::placeholder {
                    color: rgba(#000, .5);
                    font-weight: 600;
                }
            }
            &-append {
                .btn-filter{
                    border-radius: 0;
                    border-top: 1px solid #D8D8D8;
                    border-bottom: 1px solid #D8D8D8;
                    padding-right: 15px;
                    padding-left: 15px;

                    svg {
                        path {
                            fill: #959595;
                        }
                    }

                    &:hover,
                    &:focus {
                        svg {
                            path {
                                fill: $body-color;
                            }
                        }
                    }

                    &:after {
                        content: '';
                        display: block;
                        width: 1px;
                        height: 17px;
                        background-color: #DBDBDB;
                        position: absolute;
                        right: 0;
                        top: 11px;
                    }
                }
                .select2-container--default {
                    margin-left: -1px;
                    margin-top: 1px;

                    .select2-selection--single {
                        border-radius: 0;
                        border-color: #D8D8D8;
                        border-left: none;
                        border-right: none;

                        .select2-selection__rendered {
                            color: rgba(#000, .5);
                            font-size: 13px;
                            line-height: 18px;
                            font-weight: 600;
                            mix-blend-mode: normal;
                            font-family: 'OpenSans', sans-serif;
                            padding: 10px 15px 12px;
                            padding-right: 45px;
                            min-width: 120px;
                            font-weight: 600;
                        }
                    }
                }
                .select2-container {
                    .select2-selection--single {
                        height: 40px;
                    }
                }
                
                .select2-container--focus {
                    outline: none;
                    box-shadow: none;
                }
                span.select2-selection.select2-selection--single {
                    outline: none;
                }
                .select2-container {
                    min-width: 100px;

                    &--default {
                        .select2-selection--single {
                            .select2-selection__arrow {
                                height: 38px;
                                text-align: center;
                                display: flex;
                                justify-content: center;
                                align-items: center;
                                transition: .2s ease-in-out;
                                right: 21px;
                                top: -1px;

                                &:after {
                                    content: url('/assets/img/site/arrow-dropdown.svg');
                                }
                                b {
                                    display: none;
                                }
                            }
                        }
                    }
                    &--open {
                        .select2-selection--single {
                            .select2-selection__arrow {
                                transform: rotate(180deg);
                            }
                        }
                    }
                }

                .btn-primary {
                    border-radius: 3px;
                    margin-left: -3px;
                    padding-left: 25px;
                    padding-right: 25px;
                    font-size: 13px;
                    font-weight: 600;
                }
            }
        }

        .nav-options {
            font-size: 13px;
            line-height: 18px;
            font-weight: 600;
            align-items: center;

            .nav-item {
                margin-top: 14px;

                &:last-child {
                    margin-left: 30px;
                    margin-top: 11px;
                }
            }

            .nav-link {
                padding: 0;
            }
            
            a, span {
                color: $body-color;
            }

            span {
                font-weight: normal;
            }
            .select2 {
                &-container,
                &-selection {
                    
                    
                    &--single,
                    &--default {
                        border: none;
                        outline: none;
                    }

                    &__rendered {
                        padding: 0;
                        font-weight: 600;
                        font-size: 13px;
                    }

                    &__arrow {
                        margin-top: 3px;
                        right: 0;
                    }
                }
            }
            .select2-results,
            .select2-dropdown--below  {
                width: 40px !important;
            }
        }
    }
    
    &__bottom {
        padding: 15px 0 11px;

        .nav {
            &-link {
                padding: 0;
                font-size: 13px;
                line-height: 18px;
                font-weight: 600;
                color: $body-color;

                &.basket {
                    position: relative;
                    margin-top: 3px;

                    .badge {
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        position: absolute;
                        right: 7px;
                        top: -8px;
                        width: 19px;
                        height: 19px;
                        font-size: 12px;
                        line-height: 16px;
                        font-weight: bold;
                    }

                    svg {
                        path {
                            fill: rgba($primary, .5);
                        }
                    }

                    &:hover,
                    &:focus {
                        svg {
                            path {
                                fill: rgba($primary, 1);
                            }
                        }
                    }
                }

                &:hover,
                &:focus {
                    color: $primary-hover;
                    text-decoration: none;
                }

                &.active {
                    color: $primary;
                }
            }

            &-item {
                margin-right: 25px;

                &:last-child {
                    margin-right: 0;
                }
            }
        }
    }

    &__account {
        display: flex;
        flex-wrap: wrap;
        align-items: center;

        &-avatar {
            width: 30px;
            height: 30px;
            margin-right: 9px;
            border-radius: 50%;
            background-color: rgba($primary, .5);
            background-repeat: no-repeat;
            background-size: cover;
            background-position: center center;
        }
    }
}